public static interface TelegramEndpointBuilderFactory.TelegramBuilders
| Modifier and Type | Method and Description |
|---|---|
default TelegramEndpointBuilderFactory.TelegramEndpointBuilder |
telegram(String path)
Telegram (camel-telegram)
Send and receive messages acting as a Telegram Bot Telegram Bot API.
|
default TelegramEndpointBuilderFactory.TelegramEndpointBuilder |
telegram(String componentName,
String path)
Telegram (camel-telegram)
Send and receive messages acting as a Telegram Bot Telegram Bot API.
|
default TelegramEndpointBuilderFactory.TelegramEndpointBuilder telegram(String path)
telegram:type
Path parameter: type (required)
The endpoint type. Currently, only the 'bots' type is supported.
There are 1 enums and the value can be one of: botspath - typedefault TelegramEndpointBuilderFactory.TelegramEndpointBuilder telegram(String componentName, String path)
telegram:type
Path parameter: type (required)
The endpoint type. Currently, only the 'bots' type is supported.
There are 1 enums and the value can be one of: botscomponentName - to use a custom component name for the endpoint
instead of the default namepath - typeApache Camel